Loading...
Searching...
No Matches
sip_tag_class.h File Reference
SIP Tags

\ @{ More...

`#include <sofia-sip/su_tag_class.h>`
`#include <sofia-sip/msg_tag_class.h>`
Include dependency graph for sip_tag_class.h:

Go to the source code of this file.

## Macros

#define | SIP_TAG_CLASS_H
| Defined when <sip_tag_class.h> have been included.
#define | SIPHDRTAG_NAMED_TYPEDEF(n, t)
| Define a named tag type for SIP header t.
#define | SIPHDRTAG_TYPEDEF(t)
| Define a tag type for SIP header t.
#define | SIPSTRTAG_TYPEDEF(t)
| Define a string tag type for SIP header t.
#define | SIPMSGTAG_TYPEDEF(t)
| Define a tag type for SIP message t.
#define | SIPEXTHDRTAG_TYPEDEF(n, t)
| Define a named tag type using structure of SIP header t.

## Functions

tagi_t * | siptag_filter (tagi_t *dst, tagi_t const f[], tagi_t const *src, void **bb)
| Filter a for SIP header tag.

## Variables

tag_class_t | siphdrtag_class [1]
| Tag class for SIP headers.
tag_class_t | sipstrtag_class [1]
| Tag class for string values of SIP headers.
tag_class_t | sipmsgtag_class [1]
| Tag class for SIP message.
tag_class_t | sipexthdrtag_class [1]
| Tag class using SIP header structure.

## Detailed Description

\ @{

Tag classes for SIP headers.

Author
  Pekka Pessi Pekka.nosp@m..Pes.nosp@m.si@no.nosp@m.kia..nosp@m.com.

Date
  Created: Wed Feb 21 11:01:45 2001 ppessi

## Function Documentation

## siptag_filter()

tagi_t * siptag_filter | ( | tagi_t * | dst,
|  | tagi_t const | f[],
|  | tagi_t const * | src,
|  | void ** | bb )

Filter a for SIP header tag.

Parameters

  [in] | dst | tag list for filtering result. May be NULL.
  [in] | f | filter tag
  [in] | src | tag item from source list.
  [in,out] | bb | pointer to pointer of mempory area used to dup the filtering result

This function is also used to calculate size for filtering result.

## Variable Documentation

## siphdrtag_class

tag_class_t siphdrtag_class[1]

extern

Tag class for SIP headers.

Tag class for SIP headers.

## sipmsgtag_class

tag_class_t sipmsgtag_class[1]

extern

Tag class for SIP message.

Tag class for SIP message.

## sipstrtag_class

tag_class_t sipstrtag_class[1]

extern

Tag class for string values of SIP headers.

Tag class for string values of SIP headers.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.